/* -------------------------------------------------------------------- */
/* SMS Client, send messages to mobile phones and pagers		*/
/*									*/
/* logfile.h								*/
/*									*/
/*  Copyright (C) 1997,1998 Angelo Masci				*/
/*									*/
/*  This library is free software; you can redistribute it and/or	*/
/*  modify it under the terms of the GNU Library General Public		*/
/*  License as published by the Free Software Foundation; either	*/
/*  version 2 of the License, or (at your option) any later version.	*/
/*									*/
/*  This library is distributed in the hope that it will be useful,	*/
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	*/
/*  Library General Public License for more details.			*/
/*									*/
/*  You should have received a copy of the GNU Library General Public	*/
/*  License along with this library; if not, write to the Free		*/
/*  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	*/
/*									*/
/*  You can contact the author at this e-mail address:			*/
/*									*/
/*  angelo@styx.demon.co.uk						*/
/*									*/
/* -------------------------------------------------------------------- */
/* $Id: logfile.h,v 4.2 1998/01/17 22:49:15 root Exp $
   -------------------------------------------------------------------- */

#define LOG_OFF		0
#define LOG_ERROR	1
#define LOG_WARNING	2
#define LOG_STANDARD	3
#define LOG_VERBOSE	4

#define MAX_LOG_LINE	4096

extern int current_loglevel;
extern int console_log;

/* -------------------------------------------------------------------- */

void openlog(void);
void closelog(void);
void lprintf(int loglevel, char *fmt, ...);

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */

