/* -------------------------------------------------------------------- */
/* SMS Client, send messages to mobile phones and pagers		*/
/*									*/
/* driver.h								*/
/*									*/
/*  Copyright (C) 1997,1998 Angelo Masci				*/
/*									*/
/*  This library is free software; you can redistribute it and/or	*/
/*  modify it under the terms of the GNU Library General Public		*/
/*  License as published by the Free Software Foundation; either	*/
/*  version 2 of the License, or (at your option) any later version.	*/
/*									*/
/*  This library is distributed in the hope that it will be useful,	*/
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	*/
/*  Library General Public License for more details.			*/
/*									*/
/*  You should have received a copy of the GNU Library General Public	*/
/*  License along with this library; if not, write to the Free		*/
/*  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	*/
/*									*/
/*  You can contact the author at this e-mail address:			*/
/*									*/
/*  angelo@styx.demon.co.uk						*/
/*									*/
/* -------------------------------------------------------------------- */
/* $Id: driver.h,v 4.3 1998/01/17 22:36:49 root Exp root $
   -------------------------------------------------------------------- */

#include "sms_list.h"

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */

struct device_entry_struct {
	char *name;
	SMS_list *(* main)(SMS_list *list, char *message);
	int (* validate_id)(char *id);
};


typedef struct device_entry_struct DEVICE_ENTRY;

/* -------------------------------------------------------------------- */

extern DEVICE_ENTRY tap_device;
extern DEVICE_ENTRY vodafone_device;
extern DEVICE_ENTRY orange_device;
extern DEVICE_ENTRY pageone_device;
extern DEVICE_ENTRY vodacom_device;
extern DEVICE_ENTRY mtn_device;
extern DEVICE_ENTRY one2one_device;
extern DEVICE_ENTRY libertel_device;

/* -------------------------------------------------------------------- */

extern DEVICE_ENTRY *device_list[];

/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */

DEVICE_ENTRY *get_device(char *name);
void display_drivers(void);

/* -------------------------------------------------------------------- */

